#!/usr/bin/env node
import 'source-map-support/register';
import * as cdk from 'aws-cdk-lib';
import { WebStack } from '../infrastructure/web-stack';

const app = new cdk.App();

new WebStack(app, 'SyncrowWebStack', {
  env: {
    account: process.env.CDK_DEFAULT_ACCOUNT,
    region: 'me-central-1',
  },
  certificateArn: app.node.tryGetContext('certificateArn'),
});
